package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

public class ConfirmPartsBean implements Parcelable {
    private String content="";
    private List<PartsBean> parts_list = new ArrayList<>();
    private List<BtnInfoBean> btns_que = new ArrayList<>();
    private List<BtnInfoBean> btns_no_que = new ArrayList<>();

    public ConfirmPartsBean(){

    }

    protected ConfirmPartsBean(Parcel in) {
        content = in.readString();
        parts_list = in.createTypedArrayList(PartsBean.CREATOR);
        btns_que = in.createTypedArrayList(BtnInfoBean.CREATOR);
        btns_no_que = in.createTypedArrayList(BtnInfoBean.CREATOR);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(content);
        dest.writeTypedList(parts_list);
        dest.writeTypedList(btns_que);
        dest.writeTypedList(btns_no_que);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<ConfirmPartsBean> CREATOR = new Creator<ConfirmPartsBean>() {
        @Override
        public ConfirmPartsBean createFromParcel(Parcel in) {
            return new ConfirmPartsBean(in);
        }

        @Override
        public ConfirmPartsBean[] newArray(int size) {
            return new ConfirmPartsBean[size];
        }
    };

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<PartsBean> getPartsList() {
        return parts_list;
    }

    public void setPartsList(List<PartsBean> parts_list) {
        this.parts_list = parts_list;
    }

    public List<BtnInfoBean> getBtnsQue() {
        return btns_que;
    }

    public void setBtnsQue(List<BtnInfoBean> btns_que) {
        this.btns_que = btns_que;
    }

    public List<BtnInfoBean> getBtnsNoQue() {
        return btns_no_que;
    }

    public void setBtnsNoQue(List<BtnInfoBean> btns_no_que) {
        this.btns_no_que = btns_no_que;
    }
}
